io.milvus.v2.service.vector.request.data

## Class BFloat16Vec

- java.lang.Object
- - io.milvus.v2.service.vector.request.data.BFloat16Vec

All Implemented Interfaces:
  BaseVector

    public class BFloat16Vec
    extends java.lang.Object
    implements BaseVector

### Constructor Summary

Constructors
Constructor and Description
`BFloat16Vec(byte[] data)`
`BFloat16Vec(java.nio.ByteBuffer data)`
`BFloat16Vec(java.util.List<java.lang.Float> data)` Construct a bfloat16 vector by a float32 array.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getData()`
`io.milvus.grpc.PlaceholderType` `getPlaceholderType()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BFloat16Vec

    public BFloat16Vec(java.nio.ByteBuffer data)

#### BFloat16Vec

    public BFloat16Vec(byte[] data)

#### BFloat16Vec

    public BFloat16Vec(java.util.List<java.lang.Float> data)

Construct a bfloat16 vector by a float32 array. Note that all the float32 values will be cast to bfloat16 values and store into ByteBuffer.

Parameters:
  `data` - a float32 vector

### Method Detail

#### getPlaceholderType

    public io.milvus.grpc.PlaceholderType getPlaceholderType()

Specified by:
  `getPlaceholderType` in interface `BaseVector`

#### getData

    public java.lang.Object getData()

Specified by:
  `getData` in interface `BaseVector`